float testRed(int S2, int S3, int sensorOut, int testNum){
  digitalWrite(S2,LOW);
  digitalWrite(S3,LOW);
  //Read freq
  frequency = pulseIn(sensorOut, LOW);
  //Print Value  
  /*if(testNum == sensorTest){
    Serial.print("R = ");
    Serial.print(frequency);
    Serial.print("  ");
  }
  */
  delay(10);
  float freq = frequency;
  return freq;
}

float testGreen(int S2, int S3, int sensorOut, int testNum){
  digitalWrite(S2,HIGH);
  digitalWrite(S3,HIGH);
  //Read freq
  frequency = pulseIn(sensorOut, LOW);;  
  //Print Value
  /*if(testNum == sensorTest){
    Serial.print("G = ");
    Serial.print(frequency);
    Serial.print("  ");
  }
  */
  delay(10);
  float freq = frequency;
  return freq;
}

float testBlue(int S2, int S3, int sensorOut, int testNum){
  digitalWrite(S2,LOW);
  digitalWrite(S3,HIGH);
  //Read freq
  frequency = pulseIn(sensorOut, LOW);
  //Print Value
  /*if(testNum == sensorTest){
    Serial.print("B = ");
    Serial.print(frequency);
    Serial.println("  ");
  }
  */
  delay(10);
  float freq = frequency;
  return freq;
}

float testWhite(int S2, int S3, int sensorOut, int testNum){
  digitalWrite(S2,HIGH);
  digitalWrite(S3,LOW);
  //Read freq
  frequency = pulseIn(sensorOut, LOW);
  //Print Value
  /*if(testNum == sensorTest){
    Serial.print("B = ");
    Serial.print(frequency);
    Serial.println("  ");
  }
  */
  delay(10);
  float freq = frequency;
  return freq;
}
